Check Device Code
Returns whether a device code from createDeviceCode has been approved. Once it is, the response logs this device in as the user who approved it.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/auth/device/status" \ -H "Content-Type: application/json" \ -d '{ "deviceCode": "string" }'{
"status": "pending"
}{
"error": {
"message": "deviceCode must be a string˸ '1' - 'number'",
"status_code": 400
}
}Cancel pending enabling of time-based 2FA codes DELETE
Cancels the sequence for enabling time-based 2FA.
Check User Exists GET
Checks if a user by a given `username`, `displayName` or `email` exist. This is used during registration to check if a username has already been taken, during change of displayName to check if a displayName is available, and during change of email to check if the email is already used. In the later two cases the `excludeUserId` is used to exclude oneself, otherwise the result would always be true. It is **REQUIRED** to include **AT LEAST** `username`, `displayName` **or** `email` query parameter. Although they can be combined - in addition with `excludeUserId` (generally to exclude yourself) - to further fine-tune the search.